<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
 <head>
  <title>MM-19: Snapper Creek Service Plaza</title>
  <meta name="Generator" content="EditPlus">
  <meta name="Author" content="">
  <meta name="Keywords" content="">
  <meta name="Description" content="">
 </head>
 <body><prev>
<font color = "FFFFFF">
<B><center>MM-19: Snapper Creek Service Plaza</center></B><br>

Snapper Creek Service Plaza at Mile Marker 19 - This plaza services the northbound and southbound travel lanes.<br>
<br>

<B>Contact Info:</B><br>
<I>Service Station: 305-253-3755</I><br>
<br>

<B>Gas station & Convenience Store: </B><br>
<I>Shell Gasoline<br></I>
<br>

<B>Fuel Types:</B><br>
<I>
Gasoline<br>
Deisel<br>
</I>
<br>
<b>Coffee/Food/Restaurant/Snack:</b><br>
<I>Totally Bananas</I><br>
 </font>
</prev></body>
</html>
